Page MenuHomePhabricator

[cmake] Fix typo in test/asan/CMakeLists.txt
ClosedPublic

Authored by azharudd on Dec 13 2017, 5:37 PM.

Details

Diff Detail

Event Timeline

azharudd created this revision.Dec 13 2017, 5:37 PM
azharudd edited the summary of this revision. (Show Details)Dec 13 2017, 5:39 PM
smeenai accepted this revision.Jan 2 2018, 9:12 PM

The two should be equivalent unless CMAKE_SYSTEM_VERSION expands out to a value that's a variable name (which is unlikely, since it should be expanding out to a number), but this is cleaner and more consistent.

This revision is now accepted and ready to land.Jan 2 2018, 9:12 PM
azharudd added a comment.EditedJan 3 2018, 1:19 PM

The two should be equivalent unless CMAKE_SYSTEM_VERSION expands out to a value that's a variable name (which is unlikely, since it should be expanding out to a number), but this is cleaner and more consistent.

Also, if the variable is unset, it messes up the if condition expression and causes a CMake error.

Thanks for the review @smeenai .

This revision was automatically updated to reflect the committed changes.